//index.js
//获取应用实例
const app = getApp()
var util = require('../../utils/util.js')

Page({
  data: {
    userInfo: {},//微信用户信息
    canIUse: wx.canIUse('button.open-type.getUserInfo'),
    latitude: '',
    longitude: ''
  },
  onLoad: function () {
    var that = this
    //获取用户地理信息位置
    wx.getLocation({
      type: 'wgs84',
      success(res) {
        const latitude = res.latitude
        const longitude = res.longitude
        wx.setStorageSync('latitude', latitude)
        wx.setStorageSync('longitude', longitude)
        //获取最新门店信息
        wx.request({
          url: 'https://seex.inner.iouou.cn/SmallProgram/WechatPosters/getNearbyStore',
          data: {
            lng: longitude,
            lat: latitude
          },
          success: function (event) {
            console.log(event.data)
            //用户信息已经存在
            if (event.data.data.id) {
              wx.setStorageSync('address', event.data.data.address)
              wx.setStorageSync('phone', event.data.data.contact_number)
              wx.setStorageSync('store', event.data.data.store_name)
            } 
          }
        })
      }
    })
  },
  bindGetUserInfo: function (e) {
    console.log(e.detail.userInfo)
  },
  //事件处理函数
  goPhone: function () {
    if (wx.getStorageSync('store')){
      wx.navigateTo({
        url: '../phone/phone'
      })
    }else{
      wx.navigateTo({
        url: '../store/store'
      })
    }  
  }

})
